## com.saxonica.expr
Class StaticQueryContextPE

    java.lang.Object
      net.sf.saxon.query.StaticQueryContext
          com.saxonica.expr.StaticQueryContextPE

    public class StaticQueryContextPE

extends StaticQueryContext

A version of StaticQueryContext for Saxon-PE, that extends the capability by allowing compilation of XQuery 1.1 syntax

Constructor Summary
`StaticQueryContextPE(Configuration config)` Create a StaticQueryContext using a given Configuration.

Method Summary
`protected QueryParser` `newQueryParser(String language, boolean updating, String languageVersion)` Get a new QueryParser.

Methods inherited from class net.sf.saxon.query.StaticQueryContext

`buildDocument, clearDeclaredGlobalVariables, clearNamespaces, clearPassiveNamespaces, compileLibrary, compileLibrary, compileLibrary, compileQuery, compileQuery, compileQuery, declareCollation, declareCollation, declareDefaultCollation, declareGlobalVariable, declareNamespace, declarePassiveNamespace, getAllCollations, getBaseURI, getCollation, getCollationMap, getCompiledLibrary, getConfiguration, getConstructionMode, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getErrorListener, getExecutable, getExternalNamespaceResolver, getLanguageVersion, getModuleURIResolver, getNamePool, getNamespaceForPrefix, getRequiredContextItemType, getSystemId, getUserDeclaredNamespaces, isCompileWithTracing, isEmptyLeast, isGeneratingJavaCode, isInheritNamespaces, isPreserveBoundarySpace, isPreserveNamespaces, isSchemaAware, isUpdating, isUpdatingEnabled, iterateDeclaredGlobalVariables, iterateDeclaredPrefixes, reset, setBaseURI, setCompileWithTracing, setConfiguration, setConstructionMode, setDefaultElementNamespace, setDefaultFunctionNamespace, setEmptyLeast, setErrorListener, setExternalNamespaceResolver, setGeneratingJavaCode, setInheritNamespaces, setLanguageVersion, setModuleURIResolver, setPreserveBoundarySpace, setPreserveNamespaces, setRequiredContextItemType, setSchemaAware, setUpdatingEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticQueryContextPE

    public StaticQueryContextPE(Configuration config)

  Create a StaticQueryContext using a given Configuration. This creates a StaticQueryContext for a main module (that is, a module that is not a library module).

  Parameters:
    `config` - the Saxon Configuration
  Since:
    9.2

Method Detail

### newQueryParser

    protected QueryParser newQueryParser(String language,
                                         boolean updating,
                                         String languageVersion)

  Get a new QueryParser. This method is intended primarily for internal use.

  Parameters:
    `language` -
    `updating` - indicates whether or not XQuery update syntax may be used.
    `languageVersion` -

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.